[![Scrutinizer Code Quality](https://scrutinizer-ci.com/g/PAYONE-GmbH/magento-2/badges/quality-score.png?b=master)](https://scrutinizer-ci.com/g/PAYONE-GmbH/magento-2/?branch=master) [![Build Status](https://scrutinizer-ci.com/g/PAYONE-GmbH/magento-2/badges/build.png?b=master)](https://scrutinizer-ci.com/g/PAYONE-GmbH/magento-2/build-status/master)

##Installation

Go to your installation directory of Magento 2 and perform the following commands
```
composer require payone-gmbh/magento-2
php bin/magento setup:upgrade
php bin/magento setup:di:compile
php bin/magento cache:clean
```

##Payment for your Magento Shop

Are you looking for the ideal payment solution for your online shop?
With PAYONE, you process all of your payment transactions through a single partner - even international payments. From the acceptance of new payment methods through risk management to payment flow control, you get payment processing and all financial services with just one contract. At the same time, you benefit from the highest security standards since PAYONE, as a PCI DSS certified and BaFin regulated payment institution, processes all payment services via insolvency-proof escrow accounts. One solution. All the possibilities.

##Payment with PAYONE convinces


###Simple & efficient
One Partner. One contract. One payment.

* All payment methods: 
All relevant payment methods through a central plattform. National and international.

* Integrated risk management: 
Minimise your payment defaults and prevent fraud. For more profitability.

* Automation of all payment processes: 
Automation of the entire payment process chain from payment processing through to all financial services.

* Genuine plug'n pay: 
Quick and seamless integration into your e-commerce system thanks to software as a service solution.

* Modular solutions: 
Thanks to the modular structure, the payment solution can be flexibly tailored to your business model.

* Proficient customer service: 
Our experts are there for you and support you with your e-commerce project.

* Payment competence: 
More than 12 years of know-how. More than 3,000 customers. More than 100 dedicated employees. 



##Important functions for Magento

* Seamless integration into Magento's checkout, Credit Card details queried directly
* Very wide range of functions, simple and comprehensible supported by detailed online help
* Central configuration and management options on the Magento Admin Panel
* Optional multi-partial capture for partial deliveries
* Supports simplified PCI DSS conformity in accordance with SAQ A


##Contact

PAYONE GmbH
Fraunhoferstraße 2-4
24118 Kiel, Germany

Phone +49 431 25968-400
Fax +49 431 25968-1400

magento@payone.de
www.payone.de/magento

##License

See our License Agreement at: https://www.payone.de/fileadmin/downloads/sonstiges/PAYONE_Haftungs_und_Lizenzvereinbarung_Extensions.pdf

##About PAYONE

PAYONE, with headquarters in Kiel, is one of the leading payment services providers in Europe and ranks among the 50 fastest-growing technology companies in Germany. With its modular platform, PAYONE offers a software-as-a-service solution (SaaS) to companies for fully automated and comprehensive processing of all payments in e-commerce. The range of services includes the processing of payments from over 30 national and international payment methods with integrated risk management to minimise defaults in payment and fraud. Additional product modules make it possible to outsource the management of accounts receivable, the issuing of invoices as well as the processing of subscriptions. Standardised interfaces allow for a straightforward integration into existing IT and mobile system environments. Extensions can also be easily integrated into e-commerce systems.

PAYONE is a company of the Saving Banks Finance Group and ist registered as a Payment Institute. Its clients include over 3,000 e-commerce companies from a variety of sectors and countries, including well-known companies such as Immonet, Globetrotter Ausr�stung, HD PLUS, Fujitsu, Zalando, Hawesko, Sony Music and Hallhuber. PAYONE has more than 100 employees.
